/*
 * This file is part of Nuts Framework.
 * Copyright(C) 2009-2012 Nuts Develop Team.
 *
 * Nuts Framework is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License any later version.
 * 
 * Nuts Framework is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Nuts Framework. If not, see <http://www.gnu.org/licenses/>.
 */
package nuts.core.lang.codec;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNull;

import org.junit.Test;

/**
 * Tests {@link EncoderException}.
 */
public class EncoderExceptionTest {

	private static final String MSG = "TEST";

	private static final Throwable t = new Exception();

	@Test
	public void testConstructor0() {
		final EncoderException e = new EncoderException();
		assertNull(e.getMessage());
		assertNull(e.getCause());
	}

	@Test
	public void testConstructorString() {
		final EncoderException e = new EncoderException(MSG);
		assertEquals(MSG, e.getMessage());
		assertNull(e.getCause());
	}

	@Test
	public void testConstructorStringThrowable() {
		final EncoderException e = new EncoderException(MSG, t);
		assertEquals(MSG, e.getMessage());
		assertEquals(t, e.getCause());
	}

	@Test
	public void testConstructorThrowable() {
		final EncoderException e = new EncoderException(t);
		assertEquals(t.getClass().getName(), e.getMessage());
		assertEquals(t, e.getCause());
	}

}
